MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026398Open CASCADE[OCCT] OCCT:DRAWpublic2015-07-03 12:502015-10-23 20:50
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026398: Tricheck command should be extended to show free nodes and links breaking mesh consistency
DescriptionCurrently tricheck shows only free links. It is necessary to show free nodes and links breaking mesh consistency in order to visualize all problems existing in mesh that could be useful for analysis.
Steps To ReproduceNot needed
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0042705)
git (administrator)
2015-07-03 12:53

Branch CR26398 has been created by oan.

SHA-1: c8b857d31be1ab0e29e00ec100870a8cb6582cdb


Detailed log of new commits:

Author: oan
Date: Fri Jul 3 12:53:33 2015 +0300

    0026398: Tricheck command should be extended to show free nodes and links breaking mesh consistency
(0042706)
oan (developer)
2015-07-03 12:54

Dear Mikhail,
Please review.
(0042730)
msv (developer)
2015-07-03 18:26

Just a small performance remark:
Put the lines 530-531 out of the cycle.
(0042755)
git (administrator)
2015-07-06 15:41

Branch CR26398 has been updated by oan.

SHA-1: a2a995eba3daa5ba50aadee3c9026067743feb97


Detailed log of new commits:

Author: oan
Date: Mon Jul 6 15:41:14 2015 +0300

    Remark from MSV

(0042756)
oan (developer)
2015-07-06 15:41

Updated.
(0042815)
msv (developer)
2015-07-08 09:45

Reviewed.
(0042842)
git (administrator)
2015-07-08 17:41

Branch CR26398 has been updated forcibly by apv.

SHA-1: a279b33e3a8a4c31c0254b20925b4fa48dacd05f
(0042843)
apv (tester)
2015-07-08 17:41

Branch CR26398 has been rebased on the current master.
(0042869)
apv (tester)
2015-07-09 15:20

Dear BugMaster,

Branch CR26398 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: a279b33e3a8a4c31c0254b20925b4fa48dacd05f

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 96107603 / 96826167 [-0.74%]
Total CPU difference: 17474.169999999947 / 17551.959999999726 [-0.44%]

Testing on Windows:
Total MEMORY difference: 57210786 / 56593794 [+1.09%]
Total CPU difference: 16485.99847879887 / 15934.940546398928 [+3.46%]
(0044199)
git (administrator)
2015-08-14 10:56

Branch CR26398 has been deleted by inv.

SHA-1: a279b33e3a8a4c31c0254b20925b4fa48dacd05f

- Related Changesets
occt: master dc66be92
Timestamp: 2015-07-20 10:06:21
Author: oan
Committer: bugmaster
Details ] Diff ]
0026398: Tricheck command should be extended to show free nodes and links breaking mesh consistency

Remark from MSV
mod - src/MeshTest/MeshTest_PluginCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-03 12:50 oan New Issue
2015-07-03 12:50 oan Assigned To => oan
2015-07-03 12:53 git Note Added: 0042705
2015-07-03 12:53 oan Status new => assigned
2015-07-03 12:54 oan Note Added: 0042706
2015-07-03 12:54 oan Assigned To oan => msv
2015-07-03 12:54 oan Status assigned => resolved
2015-07-03 12:54 oan Steps to Reproduce Updated View Revisions
2015-07-03 18:26 msv Note Added: 0042730
2015-07-03 18:26 msv Assigned To msv => oan
2015-07-03 18:26 msv Status resolved => assigned
2015-07-06 15:41 git Note Added: 0042755
2015-07-06 15:41 oan Note Added: 0042756
2015-07-06 15:41 oan Assigned To oan => msv
2015-07-06 15:41 oan Status assigned => resolved
2015-07-08 09:45 msv Note Added: 0042815
2015-07-08 09:45 msv Assigned To msv => bugmaster
2015-07-08 09:45 msv Status resolved => reviewed
2015-07-08 16:57 apv Assigned To bugmaster => apv
2015-07-08 17:41 git Note Added: 0042842
2015-07-08 17:41 apv Note Added: 0042843
2015-07-09 14:38 apv Test case number => Not needed
2015-07-09 15:20 apv Note Added: 0042869
2015-07-09 15:20 apv Assigned To apv => bugmaster
2015-07-09 15:20 apv Status reviewed => tested
2015-07-23 11:55 bugmaster Changeset attached => occt master dc66be92
2015-07-23 11:55 bugmaster Status tested => verified
2015-07-23 11:55 bugmaster Resolution open => fixed
2015-08-14 10:56 git Note Added: 0044199
2015-08-26 11:04 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker